gtk-vnc-devel-0.7.2-lp150.1.15.x86_64.rpm


Advertisement

Description

gtk-vnc-devel - A GTK widget for VNC clients -- Development Files

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name gtk-vnc-devel
Package version 0.7.2
Package release lp150.1.15
Package architecture x86_64
Package type rpm
Installed size 374.96 KB
Download size 81.50 KB
Official Mirror widehat.opensuse.org
gtk-vnc is a VNC viewer widget for GTK+. It is built using coroutines
allowing it to be completely asynchronous while remaining single
threaded.

Alternatives

Package Version Architecture Repository
gtk-vnc-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libgtk-vnc-2_0-0 = 0.7.2
libgvnc-1_0-0 = 0.7.2
libgvncpulse-1_0-0 = 0.7.2
pkgconfig(gobject-2.0) >= 2.10.0
pkgconfig(gtk+-3.0) >= 3.0.0
typelib-1_0-GVnc-1_0 = 0.7.2
typelib-1_0-GVncPulse-1_0 = 0.7.2
typelib-1_0-GtkVnc-2_0 = 0.7.2

Provides

Name Value
gtk-vnc-devel = 0.7.2-lp150.1.15
gtk-vnc-devel(x86-64) = 0.7.2-lp150.1.15
pkgconfig(gtk-vnc-2.0) = 0.7.2
pkgconfig(gvnc-1.0) = 0.7.2
pkgconfig(gvncpulse-1.0) = 0.7.2

Download

Type URL
Binary Package gtk-vnc-devel-0.7.2-lp150.1.15.x86_64.rpm
Source Package gtk-vnc-0.7.2-lp150.1.15.src.rpm

Install Howto

Install gtk-vnc-devel rpm package:

# zypper install gtk-vnc-devel

Files

Path
/usr/include/gtk-vnc-2.0/gtk-vnc.h
/usr/include/gtk-vnc-2.0/vncdisplay.h
/usr/include/gtk-vnc-2.0/vncdisplayenums.h
/usr/include/gtk-vnc-2.0/vncgrabsequence.h
/usr/include/gtk-vnc-2.0/vncimageframebuffer.h
/usr/include/gvnc-1.0/gvnc.h
/usr/include/gvnc-1.0/vncaudio.h
/usr/include/gvnc-1.0/vncaudioformat.h
/usr/include/gvnc-1.0/vncaudiosample.h
/usr/include/gvnc-1.0/vncbaseaudio.h
/usr/include/gvnc-1.0/vncbaseframebuffer.h
/usr/include/gvnc-1.0/vnccolormap.h
/usr/include/gvnc-1.0/vncconnection.h
/usr/include/gvnc-1.0/vncconnectionenums.h
/usr/include/gvnc-1.0/vnccursor.h
/usr/include/gvnc-1.0/vncframebuffer.h
/usr/include/gvnc-1.0/vncpixelformat.h
/usr/include/gvnc-1.0/vncutil.h
/usr/include/gvncpulse-1.0/gvncpulse.h
/usr/include/gvncpulse-1.0/vncaudiopulse.h
/usr/lib64/libgtk-vnc-2.0.so
/usr/lib64/libgvnc-1.0.so
/usr/lib64/libgvncpulse-1.0.so
/usr/lib64/pkgconfig/gtk-vnc-2.0.pc
/usr/lib64/pkgconfig/gvnc-1.0.pc
/usr/lib64/pkgconfig/gvncpulse-1.0.pc
/usr/share/doc/packages/gtk-vnc-devel/AUTHORS
/usr/share/doc/packages/gtk-vnc-devel/ChangeLog
/usr/share/gir-1.0/GVnc-1.0.gir
/usr/share/gir-1.0/GVncPulse-1.0.gir
/usr/share/gir-1.0/GtkVnc-2.0.gir
/usr/share/vala/
/usr/share/vala/vapi/gtk-vnc-2.0.deps
/usr/share/vala/vapi/gtk-vnc-2.0.vapi
/usr/share/vala/vapi/gvnc-1.0.deps
/usr/share/vala/vapi/gvnc-1.0.vapi
/usr/share/vala/vapi/gvncpulse-1.0.deps
/usr/share/vala/vapi/gvncpulse-1.0.vapi

Changelog

2018-03-25 - luc14n0@linuxmail.org
- Update to version 0.7.2:
+ Deprecated the manual python2 binding in favour of GObject
introspection. It will be deleted in the next release.
+ Emit led state notification on connect.
+ Fix incorrect copyright notices.
+ Simplify shifted-tab key handling.
+ Don't short circuit TLS credential request.
+ Improve check for keymap under XWayland.
- Update:
+ URL tag to https://wiki.gnome.org/Projects/gtk-vnc: currently
the gtk-vnc's web page.
+ '+' in LGPL License tags to '-or-later' to comply with SPDX
3.0.
2017-05-20 - zaitor@opensuse.org
- Update to version 0.7.1:
+ Explicitly link to GIO instead of relying on implicit linkage.
+ Switch to use new keycodemap database module.
+ Fix size of reserved data in class struct.
+ Fix inverted framebuffer args in test case.
+ Avoid sign extension in integer arithmetic.
+ Avoid crash when opening a GSocketAddress.
+ Fix crash if server connection times out.
+ Fix incompatibility with libvncserver.
- Drop obsolete FIXME about browser plugin, dropped upstream back
in 2013.
2017-02-18 - zaitor@opensuse.org
- Update License to include LGPL-2.1.
2017-02-09 - badshah400@gmail.com
- Update to version 0.7.0:
+ CVE-2017-5884 - fix bounds checking for RRE, hextile and
copyrect encodings (bsc#1024266).
+ CVE-2017-5885 - fix color map index bounds checking
(bsc#1024268).
+ Add API to allow smooth scaling to be disabled.
+ Workaround to help SPICE servers quickly drop VNC clients
which mistakenly connect, by sending "RFB " signature bytes
early.
+ Don't accept color map entries for true-color pixel formats.
+ Add missing vala .deps files for gvnc & gvncpulse.
+ Avoid crash if host/port is NULL.
+ Add precondition checks to some public APIs.
+ Fix link to home page in README file.
+ Fix misc memory leaks.
+ Clamp cursor hot-pixel to within cursor region.
- Update file list for %{name}-devel to include additional files
installed by updated version.
2016-08-18 - zaitor@opensuse.org
- Update to version 0.6.0:
+ Important changes:
- Default to build with GTK-3, use --with-gtk=2.0 to override.
+ New features:
- Add --with-tls-priority configure flag to set default TLS
priority string.
- Add a 'vnc-error' signal to report reason for disconnect.
- Add support for fallback to GNUTLS system trust DB.
+ Bug fixes:
- Fix crash on Windows with GTK3 checking realized state.
- Fix XKB detection of keyboard mapping with Xwayland.
- Switch back to XKB detection for Xwayland.
- Remove duplicate cert expiry check.
- Avoid misc compile warnings.
- Add missing API docs + GObject introspection annotations.
- Add missing GIO dep on gvnc library GObject introspection
build.
- Remove unused code.
- Fix redraw on Win10.
- Drop support for gnutls < 2.2.0.
- Fix path to h2def script.
- Update compiler warning detection to fix clang build.
- Ignore cast align warnings to fix clang build.
- Fix endianess inversion when setting pixel format.
2016-04-14 - mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
- Drop gtk-vnc-Enable-double-buffering-on-GTK3.patch: fixed
upstream.

See Also

Package Description
gtk-vnc-lang-0.7.2-lp150.1.15.noarch.rpm Translations for package gtk-vnc
gtk-vnc-tools-0.7.2-lp150.1.15.x86_64.rpm VNC Tools based on gtk-vnc
gtk-vnc2-devel-0.7.2-lp150.1.14.x86_64.rpm A GTK widget for VNC clients -- Development Files
gtk-xfce-engine-3.2.0-lp150.1.3.x86_64.rpm Xfce GTK+-2.0 Theme Engine
gtk-xfce-engine-32bit-3.2.0-lp150.1.3.x86_64.rpm Xfce GTK+-2.0 Theme Engine
gtk2-branding-openSUSE-15.0-lp150.1.1.noarch.rpm The GTK+ toolkit library (version 2) -- openSUSE theme configuration
gtk2-branding-upstream-2.24.32-lp150.2.3.noarch.rpm Upstream theme configuration for the GTK+ toolkit library v2
gtk2-data-2.24.32-lp150.2.3.noarch.rpm Data files for the GTK+ toolkit library v2
gtk2-devel-2.24.32-lp150.2.3.x86_64.rpm Development files for the GTK+ toolkit library v2
gtk2-devel-32bit-2.24.32-lp150.2.3.x86_64.rpm Development files for the GTK+ toolkit library v2
gtk2-engine-aurora-1.5.1-lp150.1.3.x86_64.rpm Another GTK2 engine theme
gtk2-engine-cleanice-2.4.1-lp150.7.3.x86_64.rpm CleanIce GTK Theme Engine
gtk2-engine-cleanice-32bit-2.4.1-lp150.7.3.x86_64.rpm CleanIce GTK Theme Engine
gtk2-engine-clearlooks-2.20.2-lp150.1.10.x86_64.rpm Clearlooks GTK+ 2 Theme Engine
gtk2-engine-clearlooks-32bit-2.20.2-lp150.1.10.x86_64.rpm Clearlooks GTK+ 2 Theme Engine
Advertisement
Advertisement